package com.rj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rj.entity.QweiUser;

import java.util.Map;

public interface IQweiUserService extends IService<QweiUser> {

    Map<String, Object> add(QweiUser entity);

    Map<String, Object> update(QweiUser entity);

    Map<String, Object> deleteById(String id);

    Map<String, Object> pageQuery(Integer current,
                                  Integer size,
                                  String userid,
                                  String userName,
                                  Long mainDepartmentId,
                                  Integer status);

    default Map<String, Object> syncFromQiWei() {
        return syncFromQiWei(null);
    }

    Map<String, Object> syncFromQiWei(String tenantId);

    default Map<String, Object> syncCustomerFromQiWei() {
        return syncCustomerFromQiWei(null);
    }

    Map<String, Object> syncCustomerFromQiWei(String tenantId);
}

